/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;

/**
 * @author CBO
 */
public class SearchParameterDTO implements java.io.Serializable {

    private String critereModelId;
    private String operator;
    private Map<String, String> inputValues = new HashMap<String, String>();

    public SearchParameterDTO() {
    }

    public String getCritereModelId() {
        return critereModelId;
    }

    public void setCritereModelId(String critereModelId) {
        this.critereModelId = critereModelId;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public void putInputValue(String inputId, String value) {
        this.inputValues.put(inputId, value);
    }

    public Set<Entry<String, String>> getInputValues() {
        return inputValues.entrySet();
    }

    public String getValue(String inputId) {
        return this.inputValues.get(inputId);
    }
}
